Utilities
Check rate limit status
Check your current rate limit status including usage and remaining allowance.
GET
/
rate-limit
Check rate limit status
curl --request GET \
--url 'https://api.openalex.org/rate-limit?api_key='import requests
url = "https://api.openalex.org/rate-limit?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.openalex.org/rate-limit?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_key": "<string>",
"rate_limit": {
"daily_budget_usd": 123,
"daily_used_usd": 123,
"daily_remaining_usd": 123,
"prepaid_balance_usd": 123,
"prepaid_remaining_usd": 123,
"prepaid_expires_at": "2023-11-07T05:31:56Z",
"resets_at": "2023-11-07T05:31:56Z",
"resets_in_seconds": 123,
"endpoint_costs_usd": {
"singleton": 123,
"list": 123,
"search": 123,
"content": 123,
"semantic": 123,
"text": 123
},
"credits_limit": 123,
"credits_used": 123,
"credits_remaining": 123,
"credit_costs": {}
}
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Your OpenAlex API key. Get a free key at https://openalex.org/settings/api
Query Parameters
Your OpenAlex API key (required). Get a free key at https://openalex.org/settings/api
⌘I
Check rate limit status
